#include <stdint.h>
#include <propeller.h>
#include "ws2812.h"

#define LED_PIN     15
#define LED_COUNT   16

int main(void)
{
    uint32_t colors[LED_COUNT];
    int cog;
        
    memset(colors, 0, sizeof(colors));
    
    if ((cog = ws2812_init(LED_PIN, colors, LED_COUNT)) < 0)
        return 1;
        
    for (;;) {
        ws2812_fill_wheel_continuous_dim(colors, LED_COUNT, LED_COUNT+5, 128, 100);
        //ws2812_fill_wheel_continuous(colors, LED_COUNT, LED_COUNT+5, 100);
        //ws2812_fill_wheel_dim(colors, LED_COUNT, 100, 128);
        ws2812_pause(1000);
        //ws2812_fill(colors, LED_COUNT, COLOR_BLACK);
    }
        
    for (;;) {
        ws2812_fill(colors, LED_COUNT, COLOR_RED);
        ws2812_pause(1000);
        ws2812_fill(colors, LED_COUNT, COLOR_GREEN);
        ws2812_pause(1000);
        ws2812_fill(colors, LED_COUNT, COLOR_BLUE);
        ws2812_pause(1000);
        ws2812_fill(colors, LED_COUNT, COLOR_WHITE);
        ws2812_pause(1000);
    }
        
    cogstop(cog);
    
    return 0;
}
